//---- Foot
//
//  Original file by Mike Miller
//
//  Modified for POV-Ray version 3.x by
//  Colin Fleming, cj_fleming@btinternet.com
//
#include "DragTex.INC"

#declare YourTexture =    
texture { BLegTexture }
texture {
  pigment {
    gradient x
    color_map {
      [0.0 0.4 color rgbf 1 color rgbf 1]
      [0.4 0.6 color rgb 1 color rgbf <0.55, 0.09, 0.09, 0.5>]
      [0.6 1.0 color rgbf <0.55, 0.09, 0.09 0.5> color rgb <0.55, 0.09, 0.09>]
    }
  }
  scale <11, 1, 1>
}

#declare Your1 =
union {
  sphere { 0, 1.5 translate y*1.5 texture { YourTexture } }
  object { Connector_2
    clipped_by {
      plane { x, 1.479591 }
      plane { x, 0.986394 inverse }
    }
    translate x*-1.479591 scale <6, 1, 1> translate x*-0.246598 rotate y*180 rotate z*-9.462322 translate y*1.5 texture { YourTexture }
  }
  sphere { 0, 1 translate <3, 1, 0> texture { YourTexture } }
  object { Connector_2
    clipped_by {
      plane { x, 0.995123 }
      plane { x, 0.696586 inverse }
    }
    translate <-0.995123, 0, 0> scale <10.088497, 1, 1> translate x*-0.098639 rotate y*180 rotate z*9.462322 translate <3, 1, 0> texture { YourTexture }
  }
  sphere { 0, 0.7 translate <6, 1.5, 0> texture { YourTexture } }
  object {Connector_2
    clipped_by {
      plane { x, 0.695679 }
      plane { x, 0.496914 inverse }
    }
    translate <-0.695679, 0, 0> scale <8.958236, 1, 1> translate x*-0.077658 rotate y*180 rotate z*-33.690068 translate <6, 1.5, 0> texture { YourTexture }
  }
  sphere { 0, 0.5 translate <7.5, 0.5, 0> texture { YourTexture } }
  object {
    Connector_1
    scale <1.5, 0.5, 0.5> translate <7.5, 0.5, 0> texture { YourTexture }
  }
  sphere { 0, 0.5 translate <9, 0.5, 0> texture { YourTexture } }
  bounded_by { sphere { 0, 9 translate <4, 1.5, 0> } }
}

#declare Your2 =
union {
  sphere { 0, 1.5 translate <-0.4976, 1.5, 1.125> texture { YourTexture } }
  object { Connector_2
    clipped_by {
      plane { x, 1.479591 }
      plane { x, 0.986394 inverse }
    }
    translate <-1.479591, 0, 0> scale <6.000007, 1, 1> translate x*-0.246598 rotate y*180 rotate z*-9.462312 rotate y*-29.999964 translate <-0.4976, 1.5, 1.125> texture { YourTexture }
  }
  sphere { 0, 1 translate <2.10048, 1, 2.625> texture { YourTexture } }
  object { Connector_2
    clipped_by {
      plane { x, 0.995123 }
      plane { x, 0.696586 inverse }
    }
    translate <-0.995123, 0, 0> scale <10.088508, 1, 1> translate x*-0.098639 rotate y*180 rotate z*9.462312 rotate y*-29.999964 translate <2.100480, 1, 2.625000> texture { YourTexture }
  }
  sphere { 0, 0.7 translate <4.69856, 1.5, 4.125000> texture { YourTexture }     }
  object { Connector_2
    clipped_by {
      plane { x, 0.695679 }
      plane { x, 0.496914 inverse }
    }
    translate <-0.695679, 0, 0> scale <8.958243, 1, 1> translate x*-0.077658 rotate y*180 rotate z*-33.690039 rotate y*-29.999964 translate <4.69856, 1.5, 4.125000> texture { YourTexture }
  }
  sphere { 0, 0.5 translate <5.9976, 0.5, 4.875000> texture { YourTexture } }
  bounded_by { sphere { 0, 8  translate <2.25, 1.5, 2.5> } }
}

#declare Your3 =
union {
  sphere { 0, 1.5 translate <-0.39711, 1.5, -0.750000> texture { YourTexture } }
  object { Connector_2
    clipped_by {
      plane { x, 1.479591 }
      plane { x, 0.986394 inverse }
    }
    translate x*-1.479591 scale <5.999989, 1, 1> translate x*-0.246599 rotate y*180 rotate z*-9.462339 rotate y*30.000059 translate <-0.39711, 1.5, -0.750000> texture { YourTexture }
  }
  sphere { 0, 1 translate <2.20096, 1, -2.250000> texture { YourTexture } }
  object { Connector_2
    clipped_by {
      plane { x, 0.995123 }
      plane { x, 0.696586 inverse }
    }
    translate x*-0.995123 scale <10.088508, 1, 1> translate x*-0.098639 rotate y*180 rotate z*9.462312 rotate y*29.999964 translate <2.20096, 1, -2.250000> texture { YourTexture }
  }
  sphere { 0, 0.7 translate <4.79904, 1.5, -3.750000> texture { YourTexture } }
  object { Connector_2
    clipped_by {
      plane { x, 0.695679 }
      plane { x, 0.496914 inverse }
    }
    translate x*-0.695679 scale <8.958243, 1, 1> translate x*-0.077658 rotate y*180 rotate z*-33.690039 rotate y*29.999964 translate <4.79904, 1.5, -3.750000> texture { YourTexture }
  }
  sphere { 0, 0.5 translate <6.09808, 0.5, -4.5> texture { YourTexture } }
  object {
    Connector_1
    scale <1.499993, 0.5, 0.5> rotate y*30.000155 translate <6.09808, 0.5, -4.5> texture { YourTexture }
  }
  sphere { 0, 0.5 translate <7.39711, 0.5, -5.25> texture { YourTexture } }
  bounded_by { sphere { 0, 6.672403 translate <3, 1.5, -2.5> } }
}

#declare Foot = 
union {
  object { Your1 }
  object { Your2 }
  object { Your3 }
  bounded_by { sphere { 0, 12 translate <3.7512, 1.5, -0.187500> } }
}